Subject: [v6ops] DANIR questions draft-shytyi-v6ops-danir-04

From: Alexandre Petrescu <[email-masked]>
Date: Tue, 12 Nov 2019 10:42:13 +0100

Hello participants to v6ops WG,

With respect to draft-shytyi-v6ops-danir-04, of which I am a co-author,
I would like to ask:

- do you think it is useful that smartphones run DHCPv6-PD clients on
   their 4G interfaces?

- do you think a router behaviour where it runs a Client DHCPv6-PD on
   one side, derive sub-prefixes and subsequently run SLAAC RA on the
   other side - has been described somewhere else than in this DANIR
   draft?

Yours,

Alex

---

From: Mark Smith <[email-masked]>
Date: Tue, 12 Nov 2019 22:09:51 +1100

> - do you think it is useful that smartphones run DHCPv6-PD clients on

Broadly yes as that would be a conventional IPv6 router WAN behaviour.

Trouble from that perspective with smartphones is how that fits with 3GPPs
worldview.

>    other side - has been described somewhere else than in this DANIR

Yes, it is described in RFC 7084.

I think a variation of DHCPv6 between the downstream and upstream
interfaces would be better because a DHCPv6 relay is DHCPv6 option
transparent.

The combination of a client and a server limits the options that can be
passed between the upstream and downstream interfaces. To support passing
new options, they would have to be upgraded; a DHCPv6 relay wouldn't.

IPv6 CE Device DHCPv6 Option Transparency

https://tools.ietf.org/html/draft-smith-v6ops-ce-dhcpv6-transparency-00

Regards,

Mark.

> Yours,
>
> Alex
>
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops
>

---

From: Mark Smith <[email-masked]>
Date: Tue, 12 Nov 2019 22:12:50 +1100

Missed a few words, touchscreen keyboard!

On Tue, 12 Nov 2019, 22:09 Mark Smith, <[email-masked]> wrote:

>
>
> On Tue, 12 Nov 2019, 20:42 Alexandre Petrescu, <
> [email-masked]> wrote:
>
> I think a variation of DHCPv6
>

a variation of a DHCPv6 relay

between the downstream and upstream interfaces would be better because a
> DHCPv6 relay is DHCPv6 option transparent.
>

---

From: Dmytro Shytyi <[email-masked]>
Date: Wed, 13 Nov 2019 01:19:34 +0100

Hello Mark,

Please find my comments inline.

______________
Dmytro SHYTYI

---- On Tue, 12 Nov 2019 12:12:50 +0100 Mark Smith <[email-masked]> wrote ----

On Tue, 12 Nov 2019, 22:09 Mark Smith, <mailto:[email-masked]> wrote:

On Tue, 12 Nov 2019, 20:42 Alexandre Petrescu, <mailto:[email-masked]> wrote:

 

Great. Thank you for this comment!

Trouble from that perspective with smartphones is how that fits with 3GPPs worldview.

In the RFC 7084 the behaviour of IPv6 Customer Edge Router in home or small-office use is described. 

Citation: "ipv6 CE router - is  node intended for home or small-office
                             use that forwards IPv6 packets not
                             explicitly addressed to itself. "

In the Danir draft we consider IoT Router.

Where the IoT devices can be used to enable:

- numerous IoT applications in farming. (Comment: is home or small-ofice use?)

- remote health monitoring and emergency notification systems. (Comment: If we consider the human-wearable elements can we say that it is home/small-office use?)

- the integration of communications, control, and information processing across various transportation systems. (Comment: Transportation system is a home or a small-office?)

- the procedure to  acquire and analyze data from connected equipment, operational technology, locations and people. It helps to regulate industrial systems. (Comment: is it home/small-office use?)

....

Does the the RFC 7084  address the different environments above such as  DANIR daft addresses (DHCPv6_PD and NDP Implementation in IoT Router)?

a variation of a DHCPv6 relay between the downstream and upstream interfaces would be better because a DHCPv6 relay is DHCPv6 option transparent.

As far as we mention the DHCP relay we have to consider DHCP clients...

So how we address the next information?

      Here is a feature request on Android for dhcpv6 client since Jun 3 2012...

https://issuetracker.google.com/issues/36949085

Seems that this feature request was taken into account so far....

between the downstream and upstream interfaces would be better because a DHCPv6 relay is DHCPv6 option transparent.

The combination of a client and a server limits the options that can be passed between the upstream and downstream interfaces. To support passing new options, they would have to be upgraded; a DHCPv6 relay wouldn't.

Regards,

Mark.

Yours,
 
 Alex
 
 mailto:[email-masked]

v6ops mailing list 

mailto:[email-masked]

---

From: Mark Smith <[email-masked]>
Date: Wed, 13 Nov 2019 12:04:43 +1100

On Wed, 13 Nov 2019 at 11:19, Dmytro Shytyi <[email-masked]> wrote:
> On Tue, 12 Nov 2019, 20:42 Alexandre Petrescu, <alexandre.petrescu@gmail..com> wrote:
>
> Citation: "ipv6 CE router - is  node intended for home or small-office use that forwards IPv6 packets not explicitly addressed to itself. "
>

Is this device an IPv6 router or not, per RFC 8200's IPv6 router definition?

What makes an "IoT" device special in this context?

An "IoT" device today is going to be more powerful and have more
memory that a general purpose IPv6 router of 20 years ago (e.g. Cisco
2500).

> Seems that this feature request was taken into account so far....

Is Android an "IoT" OS? If you're all about IoT, then I wouldn't think
Android's IPv6 capabilities are relevant.

I don't entirely agree with Google's position however I don't entirely
disagree with it either.

I don't think there is a need for stateful DHCPv6 for addressing (and
it doesn't solve an IPv6 address in use for security purpose some
people think it does), and if a device doesn't need anything more than
DNS settings, then there's no need for a DHCPv6 client at all.

(The use cases I think about regarding using a stateless DHCPv6 client
are supplying NTP time sources, time zone information to a device and
possibly geographical location. Android acquires that information via
other methods).

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 14 Nov 2019 13:21:30 +0100

Le 12/11/2019 à 12:09, Mark Smith a écrit :
> 
> 
> On Tue, 12 Nov 2019, 20:42 Alexandre Petrescu, 
> <[email-masked] <mailto:[email-masked]>>
> wrote:
> 
> With respect to draft-shytyi-v6ops-danir-04, of which I am a
> co-author, I would like to ask:
> 
> - do you think it is useful that smartphones run DHCPv6-PD clients
> on their 4G interfaces?
> 
> 
> - do you think a router behaviour where it runs a Client DHCPv6-PD
> on one side, derive sub-prefixes and subsequently run SLAAC RA on
> the other side - has been described somewhere else than in this
> DANIR draft?
> 
> 

I dont think it's RFC7084.  With help, I could find that this might
actually come from DHCPv6 RFC 8415, when it says "[typically] client
subnets a single delegated /48 prefix into /64 prefixes and assigns one
/64 prefix to each of the links in the subscriber network."

That behaviour indeed approaches a lot to what we do in the DANIR draft.

However - we in DANIR draft propose a Stds Track document that
standardizes that behaviour.  It is not just an example, or a typical
behaviour.

> The combination of a client and a server limits the options that can
> be passed between the upstream and downstream interfaces. To support
>  passing new options, they would have to be upgraded; a DHCPv6 relay
>  wouldn't.
> 

I read the introductory parts.  It suggests option transparency, under
the form of DHCP Relay (even if you say above it's not really the same), 
to be run in the CE Router.

DANIR does not implement Relay functionality in the IoT Router.  If/when
we do, we will have to use the valuable advice from the option
transparency draft (i.e. Relay functionality or similar in CE Router).

I speculate, but if we want to put DHCP Relay in an IoT Router, then we
might face some problems we already faced when putting DHCPv6 Client in
an IoT Router: namely the UDP port blocking by certain modem manufacturers.

This leads me to ask: what are the implementation aspects spotted when
executing a vanilla DHCP Relay on CE Router?

Alex

> 
> 
> Regards,
> 
> Mark.
> 
> 
> 
> Yours,
> 
> Alex
> 
> _______________________________________________ v6ops mailing list 
> [email-masked] <mailto:[email-masked]>